package net.minecraft.world.entity.ai.behavior;

import net.minecraft.world.entity.raid.Raid;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.BlockPos;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.server.level.ServerLevel;

public class GoOutsideToCelebrate extends MoveToSkySeeingSpot {
    public GoOutsideToCelebrate(final float float1) {
        super(float1);
    }
    
    @Override
    protected boolean checkExtraStartConditions(final ServerLevel xd, final LivingEntity akz) {
        final Raid azn4 = xd.getRaidAt(new BlockPos(akz));
        return azn4 != null && azn4.isVictory() && super.checkExtraStartConditions(xd, akz);
    }
}
